{% extends "base.html" %}

{% set active_page = "alerts" %}

{% block content %}
    <div>
        <h1>Alerting Settings</h1>
        <h2>Alerting Enabled: {{ current_status }}</h2>
    </div>

    <div class="alert-enable-button">
        <form method="post">
            {% if current_status %}
                <button class="button-red" type="submit" name="toggle_enable">
                    Disable
                </button>
            {% else %}
                <button class="button-3" type="submit" name="toggle_enable">
                    Enable
                </button>
            {% endif %}

        </form>
    </div>
    <div>
        <table class="table table-striped table-class" , id="alerts-table">
            <thead>
                <tr>
                    <th>Alert Name</th>
                    <th>Enabled</th>
                    <th>Lower Bound Enabled</th>
                    <th>Lower Bound</th>
                    <th>Upper Bound Enabled</th>
                    <th>Upper Bound</th>
                    <th>Unit</th>
                </tr>
            </thead>
            <tbody>
                {% for alert_setting in alert_settings %}
                    {% include 'alerts/alerts_overview_row.html' %}
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% if cryo_agent_settings.alert_settings_upload_method == "File"%}
        <div class="alert-upload">
            <form method="post" enctype=multipart/form-data>
                <div class="alert-upload-data">
                    <label for="alert_file">Select an Alert Definition file:</label>
                    <br/>
                    <input type="file" id="alert_file" name="alert_file" accept=".yaml,.yml">
                </div>
                <button class="button-3" type="submit" name="update_alert_settings">
                    Submit
                </button>
            </form>
        </div>
    {% endif %}

    <script>
    // Setup click handler for tbody rows
        $(function () {
            $('#alerts-table tbody tr').click(function () {
                window.location.href = $(this).data('url');
            });
        })
    </script>
{% endblock %}